### Hierarchy

- AutocompleteDropdown

## Index

### Constructors

- constructor

### Properties

- changeDropDirectionTimeout
- dropdownElement
- onClickCallback

### Methods

- bind
- clearElements
- onResize
- toggleDropDirection
- unbind
- updateElements

## Constructors

### constructor

- new AutocompleteDropdown(dropdownElement: HTMLDivElement, onClickCallback: function): AutocompleteDropdown

- - Defined in lib/behaviour/autocomplete/AutocompleteDropdown.ts:6

  #### Parameters

  - ##### dropdownElement: HTMLDivElement

  - ##### onClickCallback: function

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

  #### Returns AutocompleteDropdown

## Properties

### changeDropDirectionTimeout

changeDropDirectionTimeout: any

- Defined in lib/behaviour/autocomplete/AutocompleteDropdown.ts:6

### dropdownElement

dropdownElement: HTMLDivElement

- Defined in lib/behaviour/autocomplete/AutocompleteDropdown.ts:4

### onClickCallback

onClickCallback: function

- Defined in lib/behaviour/autocomplete/AutocompleteDropdown.ts:5

#### Type declaration

- - (event: Event): void

  - #### Parameters

    - ##### event: Event

    #### Returns void

## Methods

### bind

- bind(): void

- - Defined in lib/behaviour/autocomplete/AutocompleteDropdown.ts:13

  #### Returns void

### Private clearElements

- clearElements(): void

- - Defined in lib/behaviour/autocomplete/AutocompleteDropdown.ts:39

  #### Returns void

### Private onResize

- onResize(): void

- - Defined in lib/behaviour/autocomplete/AutocompleteDropdown.ts:34

  #### Returns void

### Private toggleDropDirection

- toggleDropDirection(): void

- - Defined in lib/behaviour/autocomplete/AutocompleteDropdown.ts:44

  #### Returns void

### unbind

- unbind(): void

- - Defined in lib/behaviour/autocomplete/AutocompleteDropdown.ts:17

  #### Returns void

### updateElements

- updateElements(elements: string[]): void

- - Defined in lib/behaviour/autocomplete/AutocompleteDropdown.ts:22

  #### Parameters

  - ##### elements: string[]

  #### Returns void

Generated using TypeDoc